var
	n, x, y, answer : longint;

begin
	assign(input, 'equation.in');
	reset(input);
	assign(output, 'equation.out');
	rewrite(output);
	readln(n);
	answer := 0;
	x := 0;
	while x * x <= n do begin
		if (n - x) mod (x + 1) = 0 then begin
			y := (n - x) div (x + 1);
			if x < y then begin
				answer := answer + 2;
			end else if x = y then begin
				inc(answer);
			end;
		end;
		inc(x);
	end;
	writeln(answer);
	close(input);
	close(output);
end.